<script setup lang="ts">
  import { CmsBlockTextOnImage } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockTextOnImage;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const slotContent = getSlotContent('content');
</script>

<template>
  <div class="min-h-md flex items-center">
    <CmsGenericElement v-if="slotContent" :content="slotContent" />
  </div>
</template>
